{
  "name": "jarvis-protocol-subgraphs",
  "version": "1.0.0",
  "description": "Subgraph of Jarvis protocols",
  "main": "index.js",
  "repository": "https://gitlab.com/jarvis-network/apps/protocol-subgraphs.git",
  "author": "Jarvis Network Team",
  "license": "MIT",
  "scripts": {
    "prepare:subgraph": "mustache ./config/${NETWORK}.json ./templates/subgraph.template.yaml > subgraph.yaml",
    "codegen": "cross-env && yarn prepare:subgraph && graph codegen",
    "build": "cross-env && yarn prepare:subgraph && graph codegen && graph build",
    "prepare:deploy": "yarn prepare:subgraph && graph codegen && graph build && graph auth --product hosted-service $ACCESS_TOKEN",
    "deploy:hosted": "graph deploy --product hosted-service $SLUG",
    "deploy:polygon": "NETWORK=matic env-cmd yarn prepare:deploy && SLUG=fabiencoutant/jarvisnetwork-matic env-cmd yarn deploy:hosted",
    "deploy:bsc": "NETWORK=bsc env-cmd yarn prepare:deploy && SLUG=fabiencoutant/jarvisnetwork-bsc env-cmd yarn deploy:hosted",
    "deploy:optimism": "NETWORK=optimism env-cmd yarn prepare:deploy && SLUG=fabiencoutant/jarvisnetwork-optimism env-cmd yarn deploy:hosted",
    "coverage": "graph test -- -c",
    "test": "graph test"
  },
  "dependencies": {
    "@graphprotocol/graph-cli": "^0.44.0",
    "@graphprotocol/graph-ts": "^0.29.3",
    "@typescript-eslint/eslint-plugin": "^5.57.1",
    "@typescript-eslint/parser": "^5.57.1",
    "env-cmd": "^10.1.0",
    "eslint": "^8.38.0",
    "eslint-config-prettier": "^8.8.0",
    "lint-staged": "^13.2.1",
    "mustache": "^4.2.0",
    "prettier": "^2.8.7",
    "typescript": "^5.0.4"
  },
  "devDependencies": {
    "cross-env": "^7.0.3",
    "matchstick-as": "^0.5.2"
  }
}
